--- MiniSat/minisat/core/SolverTypes.h.orig	2006-11-11 08:54:30.000000000 +1100
+++ MiniSat/minisat/core/SolverTypes.h	2012-07-06 01:55:39.000000000 +1000
@@ -119,11 +119,7 @@ public:
 
     // -- use this function instead:
     template<class V>
-    friend Clause* Clause_new(const V& ps, bool learnt = false) {
-        assert(sizeof(Lit)      == sizeof(uint32_t));
-        assert(sizeof(float)    == sizeof(uint32_t));
-        void* mem = malloc(sizeof(Clause) + sizeof(uint32_t)*(ps.size()));
-        return new (mem) Clause(ps, learnt); }
+    friend Clause* Clause_new(const V& ps, bool learnt = false);
 
     int          size        ()      const   { return size_etc >> 3; }
     void         shrink      (int i)         { assert(i <= size()); size_etc = (((size_etc >> 3) - i) << 3) | (size_etc & 7); }
@@ -146,6 +142,12 @@ public:
     void         strengthen  (Lit p);
 };
 
+template<class V> Clause* Clause_new(const V& ps, bool learnt) {
+        assert(sizeof(Lit)      == sizeof(uint32_t));
+        assert(sizeof(float)    == sizeof(uint32_t));
+        void* mem = malloc(sizeof(Clause) + sizeof(uint32_t)*(ps.size()));
+        return new (mem) Clause(ps, learnt);
+}
 
 /*_________________________________________________________________________________________________
 |
